import type { IDP } from '../routes/types';
/**
 * Get HTTP version of API Host URL
 *
 * @public
 */
export declare const getAPIHostHTTPURL: (host?: string) => string;
/**
 * Get IPD Endpoint URL
 *
 * @public
 */
export declare const getIPDEndpoint: (path?: string, host?: string) => string;
/**
 * Get SSO Login URL
 *
 * @public
 */
export declare const getSSOLoginURL: (idp: any, path?: string, host?: string) => string;
/**
 * Request SSO identity provider list
 *
 * @public
 */
export declare const fetchIDPs: (path?: string, host?: string) => Promise<IDP[]>;
//# sourceMappingURL=sso.d.ts.map